Used to create a contact
| Name | Type | Required / Optional | Description | Restrictions |
|---|---|---|---|---|
| brand | String | Optional | The brand to link the contact to, defaults to the brand "default" |
|
| organization | String | Optional | The name of the organization |
|
| name | String | Required | The name of the person |
|
| addressLine | List <String> | Required | The address lines |
|
| postalCode | String | Required | Postal code |
|
| city | String | Required | The city |
|
| state | String | Optional | The state |
|
| country | String | Required | The ISO 3166-1 alpha2 country code |
|
| String | Required | The email address |
|
|
| voice | String | Required | The voice telephone number. E164a format, eg: +31.384530759 |
|
| fax | String | Optional | The fax telephone number. E164a format, eg: +31.384530759 |
|
| disclosedFields | List <Enum> | Optional | List of fields you wish to disclose (in RDAP) where this contact is used for a domain. Country and state are allways publicly available. |
Possible values:
|
| validations | List < validations > | Optional | List of categories that have been validated. Only available on accounts with the applicable agreement, and only the agreed upon categories can be supplied. To be able to use this field you need the CONTACT_VALIDATION permission. |
| Name | Type | Required / Optional | Description | Restrictions |
|---|---|---|---|---|
| category | String | Required | The validated category |
|
| termsVersion | String | Required | The version of the terms presented to the end user during validation |
|
| validatedOn | Timestamp | Optional | The date contact data was validated. Defaults to current date and time. | |
| validatedBy | String | Required | The IP address of the client used to validate the contact. |
|
Generic errors can be expected.
POST
/v2/customers/customer/contacts/handle
Content-Type: application/json
{}